X2Go Bug report logs - #393
Improvements for RPM package (Xinerama support)

version graph

Package: x2goagent; Maintainer for x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goagent is src:nx-libs.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Mon, 6 Jan 2014 15:15:01 UTC

Severity: minor

Tags: pending

Found in version 3.5.0.22

Fixed in version 2:3.5.0.23

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#393; Package x2goagent. (Mon, 06 Jan 2014 15:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 06 Jan 2014 15:15:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: Improvements for RPM package (Xinerama support)
Date: Mon, 06 Jan 2014 15:10:51 +0000
[Message part 1 (text/plain, inline)]
Package: x2goagent
Severity: minor
Version: 3.5.0.22
Tag: rpm-packages patch

Some more improvements for our nx-libs.spec as suggested by Orion via  
x2go-dev.

Mike


----- Weitergeleitete Nachricht von Orion Poplawski  
<orion@cora.nwra.com> -----
  Datum: Sun, 05 Jan 2014 20:46:26 -0700
    Von: Orion Poplawski <orion@cora.nwra.com>
Betreff: Re: [X2Go-Dev] Bug#370: RPM package: nx-libs lacks Xinerama support
     An: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
     Cc: x2go-dev@lists.berlios.de

On 12/16/2013 12:37 AM, Mike Gabriel wrote:
> Hi Orion,
>
> On  Mo 16 Dez 2013 03:14:02 CET, Orion Poplawski wrote:
>
>> On 12/14/2013 02:00 PM, Mike Gabriel wrote:
>>> Package: nx-libs Severity: important Tag: rpm-package
>>>
>>> The current RPMs built from nx-libs HEAD lack Xinerama support
>>> because of missing symlinks. The links should be created like
>>> below when the package libNX_Xinerama gets installed:
>>>
>>> mike@minobo:/usr/lib64/nx/X11$ ls Xinerama/ -al insgesamt 16
>>> libNX_X11.so.6 -> /usr/lib64/libX11.so.6 libNX_Xext.so.6 ->
>>> /usr/lib64//libXext.so.6 libXinerama.so -> ../libNX_Xinerama.so
>>> libXinerama.so.1 -> ../libNX_Xinerama.so.1
>>
>> Shouldn't NX be taught to just use libXinerama.so.1 directly
>> instead?
>
> The libNX_Xinerama.so.1 is very much different from libXinerama.so
> as it retrieves its data about number of screens and screen
> resolutions from a file (and not from hardware).
>
> Scan for NX_XINERAMA_CONF in [1] for details.
>
> Mike
>
> [1]
> http://code.x2go.org/gitweb?p=nx-libs.git;a=blob;f=debian/patches/202_nx-X11_enable-xinerama.full.patch
>
>
>

Hmm, okay, I think I get more of the game being played here.  I've
implemented it differently in the Fedora spec:

In %install:

# Need for Xinerama support
ln -s -f ../../../../%{_lib}/libX11.so.6
%{buildroot}%{_libdir}/nx/X11/Xinerama/libNX_X11.so.6
ln -s -f ../../../../%{_lib}/libXext.so.6
%{buildroot}%{_libdir}/nx/X11/Xinerama/libNX_Xext.so.6

Though these probably should just get done in the Makefile.  But the
relative paths might be tricky.

and:

 Summary:        Xinerama extension to the NX Protocol
 Requires:       %{name}%{?_isa} = %{version}-%{release}
+Requires:       libX11%{?_isa}
+Requires:       libXext%{?_isa}

(%{?_isa} gets the architecture correct)

 %files -n libNX_Xinerama
 %{_libdir}/nx/X11/libNX_Xinerama.so.1*
+%{_libdir}/nx/X11/Xinerama/

No need for %pre/%post


- --
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com

----- Ende der weitergeleiteten Nachricht -----

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#393; Package x2goagent. (Tue, 28 Jan 2014 18:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 28 Jan 2014 18:50:02 GMT) Full text and rfc822 format available.

Message #10 received at 393@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 393-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 393@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Tue, 28 Jan 2014 19:48:36 +0100 (CET)
tag #393 pending
fixed #393 2:3.5.0.23
thanks

Hello,

X2Go issue #393 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=faa289a

The issue will most likely be fixed in src:nx-libs (2:3.5.0.23).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit faa289a82954860c9dfb44dc7eb4d39ea6d99f25
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Jan 28 19:48:21 2014 +0100

    nx-libs.spec: Sync nx-libs.spec in Fedora with upstream's nx-libs.spec file. (Fixes: #393).

diff --git a/debian/changelog b/debian/changelog
index 8b1a782..d52b685 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -6,6 +6,9 @@ nx-libs (2:3.5.0.23-0x2go1) UNRELEASED; urgency=low
   * Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS
     of imake on current Fedora rawhide (21) which uses the compiler option
     -Werror=format-security for all builds. (Fixes: #412).
+  * nx-libs.spec:
+    - Sync nx-libs.spec in Fedora with upstream's nx-libs.spec file. (Fixes:
+      #393).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 04 Jan 2014 22:02:16 +0100
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 Jan 2014 18:50:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.23. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 Jan 2014 18:50:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#393. (Tue, 28 Jan 2014 18:50:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#393; Package x2goagent. (Tue, 06 May 2014 16:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 16:10:02 GMT) Full text and rfc822 format available.

Message #22 received at 393@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 393-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 393@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Tue, 6 May 2014 18:07:36 +0200 (CEST)
close #393
thanks

Hello,

we are very hopeful that X2Go issue #393 reported by you
has been resolved in the new release (2:3.5.0.23) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.23)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=fdeaafb5e2f4520857ca4757261df79d233e05cb;hp=626b5dbae6b7b432d573f88abc8e3e8ae2bdba85

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.23-0x2go1
Status: RELEASE
Date: Tue, 06 May 2014 18:05:47 +0200
Fixes: 393 411 412 423
Changes: 
 nx-libs (2:3.5.0.23-0x2go1) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * Add patch: 054_nx-X11_ppc64-ftbfs.full.patch. Fix FTBFS on ppc64
     architecture. (Fixes: #411).
   * Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS
     of imake on current Fedora rawhide (21) which uses the compiler option
     -Werror=format-security for all builds. (Fixes: #412).
   * Add patch: 056_nx-X11-Werror-format-security.patch. Fix more
     -Werror=format-security errors that only show up on ARM builds. (Fixes:
     #423).
   * nx-libs.spec:
     - Sync nx-libs.spec in Fedora with upstream's nx-libs.spec file. (Fixes:
       #393).
 .
   [ Mike Gabriel ]
   * debian/control:
     + Build our imake against x11proto-core-dev headers.
   * nx-libs.spec:
     + Build our imake against xorg-x11-proto-devel.
 .
   [ Oleksandr Shneyder ]
   * Add patch: 205_nxagent_refresh-adsl.full.patch. Fix refresh error on RDP
     connections to Windows 2012 if speed=ADSL.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#393; Package x2goagent. (Tue, 06 May 2014 16:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 16:10:02 GMT) Full text and rfc822 format available.

Message #27 received at 393@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 393-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 393@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Tue, 6 May 2014 18:07:35 +0200 (CEST)
close #393
thanks

Hello,

we are very hopeful that X2Go issue #393 reported by you
has been resolved in the new release (2:3.5.0.23) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.23)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=4f56401ad0df9cf6380910418e283267a04bbf2e;hp=626b5dbae6b7b432d573f88abc8e3e8ae2bdba85

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.23-0x2go1
Status: RELEASE
Date: Tue, 06 May 2014 18:05:47 +0200
Fixes: 393 411 412 423
Changes: 
 nx-libs (2:3.5.0.23-0x2go1) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * Add patch: 054_nx-X11_ppc64-ftbfs.full.patch. Fix FTBFS on ppc64
     architecture. (Fixes: #411).
   * Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS
     of imake on current Fedora rawhide (21) which uses the compiler option
     -Werror=format-security for all builds. (Fixes: #412).
   * Add patch: 056_nx-X11-Werror-format-security.patch. Fix more
     -Werror=format-security errors that only show up on ARM builds. (Fixes:
     #423).
   * nx-libs.spec:
     - Sync nx-libs.spec in Fedora with upstream's nx-libs.spec file. (Fixes:
       #393).
 .
   [ Mike Gabriel ]
   * debian/control:
     + Build our imake against x11proto-core-dev headers.
   * nx-libs.spec:
     + Build our imake against xorg-x11-proto-devel.
 .
   [ Oleksandr Shneyder ]
   * Add patch: 205_nxagent_refresh-adsl.full.patch. Fix refresh error on RDP
     connections to Windows 2012 if speed=ADSL.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 06 May 2014 16:10:06 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Tue, 06 May 2014 16:10:06 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#393. (Tue, 06 May 2014 16:10:10 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#393. (Tue, 06 May 2014 16:10:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 04 Jun 2014 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jul 18 18:15:18 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.